doinst() {
# update the mime desktop database
if [ -x usr/bin/update-desktop-database ]; then
	usr/bin/update-desktop-database -q
fi
# update the mime database
if [ -x usr/bin/update-mime-database ]; then
	usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
fi
}
( cd usr/bin ; rm -rf libreoffice3.5 )
( cd usr/bin ; ln -sf ../share/libreoffice3.5/program/soffice libreoffice3.5 )
( cd usr/share/applications ; rm -rf libreoffice3.5-javafilter.desktop )
( cd usr/share/applications ; ln -sf ../libreoffice3.5/share/xdg/javafilter.desktop libreoffice3.5-javafilter.desktop )
( cd usr/share/libreoffice3.5/ure/bin ; rm -rf regcomp )
( cd usr/share/libreoffice3.5/ure/bin ; ln -sf startup.sh regcomp )
( cd usr/share/libreoffice3.5/ure/bin ; rm -rf uno )
( cd usr/share/libreoffice3.5/ure/bin ; ln -sf startup.sh uno )
